﻿namespace SpectrumAnalysis.Data
{
    public class WavelenXyz : Xyz
    {
        public WavelenXyz(double wavelength, double x, double y, double z) : base(x, y, z)
        {
            Wavelength = wavelength;
        }

        public WavelenXyz(double wavelength, double[] xyz) : base(xyz[0], xyz[1], xyz[2])
        {
            Wavelength = wavelength;
        }

        public readonly double Wavelength;

        public override string ToString()
        {
            return Wavelength + " nm: " + base.ToString();
        }
    }
}
