﻿namespace SpectrumAnalysis.Data
{
    public class WhitePoint
    {
        public readonly StandardIlluminants Illuminant;
        public readonly StandardObservers Observer;
        public readonly Xy Xy;

        public WhitePoint(StandardObservers obs, StandardIlluminants illum)
        {
            Illuminant = illum;
            Observer = obs;

            switch (illum)
            {
                case StandardIlluminants.E:
                
                    // It's independent of Observer
                    const double oneThird = 1.0/3.0;
                    this.Xy = new Xy(oneThird, oneThird);
                    break;
                
                case StandardIlluminants.D65:
                
                    switch (obs)
                    {
                        case StandardObservers.CIE_1931:
                            this.Xy = new Xy(0.31006, 0.31616);
                            break;
                        case StandardObservers.CIE_1931_JUDD_VOS_1978:
                            this.Xy = new Xy(0.3067, 0.3180);
                            break;
                        case StandardObservers.CIE_1964:
                            this.Xy = new Xy(0.31039, 0.31905);
                            break;
                    }
                    break;

            }
            
        }
    }
}
