﻿using System.Collections;
using System.Collections.Generic;
using SpectrumAnalysis.Utility;

namespace SpectrumAnalysis.Data
{
    public class Xyz : IEnumerable<double>
    {
        public Xyz(double x, double y, double z)
        {
            X = x;
            Y = y;
            Z = z;
        }
        
        public readonly double X;
        public readonly double Y;
        public readonly double Z;

        public XyY ConvertToXyY()
        {
            var sum = X + Y + Z;
            var x1 = X / sum;
            var y1 = Y / sum;
            return new XyY(x1, y1, Y);
        }

        public IEnumerator<double> GetEnumerator()
        {
            var list = new List<double>() {X, Y, Z};
            return list.GetEnumerator();
        }

        public override string ToString()
        {
            return string.Format("X = {0}, Y = {1}, Z = {2}", Util.Round4(X), Util.Round4(Y), Util.Round4(Z));
        }

        IEnumerator IEnumerable.GetEnumerator()
        {
            return GetEnumerator();
        }

        public Xy GetChromaticityCoordinate()
        {
            var denom = X + Y + Z;
            var chromCoord = new Xy(X/denom, Y/denom);
            return chromCoord;
        }
    }
}
