﻿using SpectrumAnalysis.Data;

namespace SpectrumAnalysis.Interfaces
{
    /// <summary>
    /// Interface that represents a chromaticity curve in xy space
    /// </summary>
    public interface IChromaticity
    {
        /// <summary>
        /// Get the IObserver object containing the observer data
        /// </summary>
        /// <returns></returns>
        IObserver GetObserver();

        /// <summary>
        /// Get the xy Whitepoint of the illuminant
        /// </summary>
        /// <returns></returns>
        Xy GetWhitePoint();

        double[] GetWavelengths();

        double[] GetXData();

        double[] GetYData();

        double[] GetThetaArray();

        double GetCount();

        double GetInterpolatedWavelength(double theta);
        
    }
}
