﻿namespace SpectrumAnalysis.Interfaces
{
    /// <summary>
    /// Interface that contains wavelength/illumination data
    /// for a particular illuminant
    /// </summary>
    interface IIlluminant
    {
        /// <summary>
        /// Gets the illumination function for the wavelength in
        /// nanometers
        /// </summary>
        /// <param name="wavelength"></param>
        /// <returns></returns>
        double GetIlluminationForWavelength(double wavelength);
    }
}
