﻿using SpectrumAnalysis.Data;

namespace SpectrumAnalysis.Interfaces
{
    /// <summary>
    /// Interface for classes to contain wavelength-XYZ data,
    /// to calculate XYZ points from wavelengths
    /// </summary>
    public interface IObserver
    {
        StandardObservers GetObserver();

        double[] GetWavelengths();

        double[] GetXData();

        double[] GetYData();

        double[] GetZData();

        /// <summary>
        /// Get XYZ for wavelength in nm
        /// </summary>
        /// <param name="nanometers"></param>
        /// <returns></returns>
        Xyz GetXyzForWavelength(double nanometers);

    }
}
