﻿using System;

namespace SpectrumAnalysis.Utility
{
    public class Util
    {
        public static decimal Round4(double num)
        {
            return Round(num, 4);
        }

        public static decimal Round(double num, int sig)
        {
            var rounded = Math.Round(num, sig);
            return (decimal)rounded;
        }

        public static double[] ParseDouble(string[] strArr)
        {
            var doubleArr = new double[strArr.Length];
            for (var i = 0; i < strArr.Length; ++i)
            {
                doubleArr[i] = Double.Parse(strArr[i]);
            }

            return doubleArr;
        }

        public static bool IsBetween(double num, double x1, double x2)
        {
            var isReversed = (x2 < x1);
            return (isReversed ? IsBetweenOrdered(num, x2, x1) : IsBetweenOrdered(num, x1, x2));
        }

        private static bool IsBetweenOrdered(double num, double xA, double xB)
        {
            return (xA <= num && num <= xB);
        }

        
    }
}
