﻿using System;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows;
using System.Windows.Documents;
using SpectrumAnalysis.Wpf.Utility;

namespace SpectrumAnalysis.Wpf
{
    /// <summary>
    /// Interaction logic for About.xaml
    /// </summary>
    public partial class About : Window
    {

        public About()
        {
            InitializeComponent();
            LabelHeader.Content = String.Format("{0} {1}", AppUtil.GetAppTitle(),
                AppUtil.GetAppVersionLong());
            var license = Encoding.UTF8.GetString(SpectrumAnalysis.Wpf.Properties.Resources.LICENSE);
            LicenseViewer.Blocks.Clear();
            LicenseViewer.Blocks.Add(new Paragraph(new Run(license)));

            //string about = Properties.Resources.About;
            var executablePath = Assembly.GetExecutingAssembly().Location;
            var pathArr = executablePath.Split('\\');
            var dirArr = new string[pathArr.Length - 1];
            Array.Copy(pathArr, dirArr, pathArr.Length - 1);
            var exeDir = string.Join("\\", dirArr);
            
            Browser.Navigate("file://" + exeDir + "\\Resources\\About.mhtml");
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }


    }
}
