﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Documents;
using System.Windows.Threading;

namespace SpectrumAnalysis.Wpf
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        private void Application_Startup(object sender, StartupEventArgs e)
        {


        }


        private void Application_DispatcherUnhandledException(object sender, DispatcherUnhandledExceptionEventArgs e)
        {
            var exList = new List<Exception>();
            var innerEx = e.Exception;
            while (innerEx != null)
            {
                exList.Add(innerEx);
                innerEx = innerEx.InnerException;
            }

            
            var errorDialog = new Error();
            var paraList = new List<Paragraph>();
            foreach (var ex in exList)
            {
                var para = new Paragraph();
                var head = new Run(String.Format("\r\n{0}: {1}\r\n", ex.GetType(), ex.Message))
                {
                    FontWeight = FontWeights.Bold
                };
                

                var target = new Run(String.Format("Target Site: {0}", ex.TargetSite))
                {
                    FontStyle = FontStyles.Italic
                };

                var stack = new Run(ex.StackTrace);

                para.Inlines.Add(head);
                para.Inlines.Add(target);
                para.Inlines.Add(stack);

                paraList.Add(para);
            }

            
            errorDialog.ScrollDocument.Blocks.Clear();
            errorDialog.ScrollDocument.Blocks.AddRange(paraList);

            
            var result = errorDialog.ShowDialog();
            e.Handled = true;
            if (result.HasValue && !result.Value)
            {
                // The user pressed Cancel, so shut down the application
                Application.Current.Shutdown(1);
            }
        }
    }
}
