﻿using System;
using System.Reflection;

namespace SpectrumAnalysis.Wpf.Utility
{
    public class AppUtil
    {
        public static string GetAppTitle()
        {
            var thisAssembly = Assembly.GetExecutingAssembly();
            
            
            
            if (Attribute.IsDefined(thisAssembly, typeof(AssemblyTitleAttribute)))
            {
                var title = thisAssembly.GetCustomAttribute<AssemblyTitleAttribute>();
                return title.Title;
            }
            
            return "Spectrum Analysis";
            
        }

        public static string GetAppVersionShort()
        {
            var version = GetAppVersion();
            
            return String.Format("{0}.{1}", version.Major, version.Minor);
        }

        public static string GetAppVersionLong()
        {
            var version = GetAppVersion();
            return String.Format("{0}.{1}.{2}.{3}", version.Major, version.Minor,
                version.Build, version.Revision);
        }

        public static Version GetAppVersion()
        {
            var thisAssembly = Assembly.GetExecutingAssembly();
            Version version = thisAssembly.GetName().Version;
            return version;
        }

        public static string GetAppTitleAndVersion()
        {
            return String.Format("{0} {1}", GetAppTitle(), GetAppVersionShort());
        }

        public static string GetCopyright()
        {
            var thisAssembly = Assembly.GetExecutingAssembly();
            if (Attribute.IsDefined(thisAssembly, typeof (AssemblyCopyrightAttribute)))
            {
                var copyright = thisAssembly.GetCustomAttribute<AssemblyCopyrightAttribute>();
                return copyright.Copyright;
            }
            return "";
        }
    }
}
